Skip to main content
GET
/
v2
/
persons
/
{personId}
/
notes
Get Notes for a Person
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "type": "entities",
      "content": {
        "html": "<p>test</p><p>%</p>"
      },
      "creator": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Doe",
        "primaryEmailAddress": "jane.doe@acme.co",
        "type": "internal"
      },
      "mentions": [
        {
          "id": 1,
          "type": "person",
          "person": {
            "id": 1,
            "firstName": "Jane",
            "lastName": "Doe",
            "primaryEmailAddress": "jane.doe@acme.co",
            "type": "internal"
          }
        }
      ],
      "createdAt": "2023-01-01T00:00:00Z",
      "updatedAt": "2023-01-01T00:00:00Z",
      "permissions": {
        "sharingType": "private",
        "owner": {
          "id": 1,
          "firstName": "Jane",
          "lastName": "Doe",
          "primaryEmailAddress": "jane.doe@acme.co",
          "type": "internal"
        }
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/persons/1/notes?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/persons/1/notes?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Persons ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

filter
string

Filter options

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 0 <= x <= 100
totalCount
boolean
default:false

Include total count of the collection in the pagination response

Response

OK

NotesPaged model

data
(notes.EntitiesNote · object | notes.InteractionNote · object | notes.AiNotetakerRootNote · object | notes.UserReplyNote · object | notes.AiNotetakerReplyNote · object)[]
required

A page of Note objects

Maximum array length: 100

A Note object attached to an entity (Person, Company, Opportunity)

pagination
PaginationWithTotalCount · object
required
Example:
{
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}